Subject: bug#51480: lib(png|gif|jpeg)-version not defined

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Oct 2021 17:12:07 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 29 Oct 2021 06:54:59 -0700
> 
> In image.c, I see the following:
> 
>       DEFSYM (Qlibpng_version, "libpng-version");
>       Fset (Qlibpng_version,
>     #if HAVE_PNG
>             make_fixnum (PNG_LIBPNG_VER)
>     #else
>             make_fixnum (-1)
>     #endif
>             );
>       DEFSYM (Qlibgif_version, "libgif-version");
>       Fset (Qlibgif_version,
>     #ifdef HAVE_GIF
>             make_fixnum (GIFLIB_MAJOR * 10000
>                          + GIFLIB_MINOR * 100
>                          + GIFLIB_RELEASE)
>     #else
>             make_fixnum (-1)
>     #endif
>             );
>       DEFSYM (Qlibjpeg_version, "libjpeg-version");
>       Fset (Qlibjpeg_version,
>     #if HAVE_JPEG
>             make_fixnum (JPEG_LIB_VERSION)
>     #else
>             make_fixnum (-1)
>     #endif
>             );
>     #endif
> 
> But AFAICT, this doesn't really do anything?  I can't find those
> variables, the only one I have is `libgnutls-version'.  So should those
> definitions be DEFVAR's, or am I missing something?

They are only defined on MS-Windows, because they are needed for
loading the correct DLL.  See w32-win.el.